# About

Allows for migrations from 7.x specific file and image fields attached on any 7.x node bundle. 

This is useful when we want to create migrations on an agile way so we can avoid migrating all the old files in bulk.

For example, on a Drupal 7.x website we may have an image field `field_image` on node type `article`. 
Using this module we can migrate only the images of that field `article.field_image` and then use the new migrated files accordingly.

See on folder "examples" for such a case.

Notice that all the files are fetched with HTTP calls but you could override it on your yml.

## Plugins

This module introduces two new migrate source plugins:

- file_field_bundle
- image_field_bundle

## Example

In this example we migrate the 7.x image field `articlt.field_image` into the 10.x media image field `article.field_media_image.field`

```
drush mim field_image_bundle_article
drush mim media_for_article
drush mim node_article
```